Skip to content

List Bundle Options

GET https://api.secure.quotivity.com/v1/bundles/{bundleId}/options

Retrieves a paginated list of options for a bundle, including each option’s default product.

Send your API key in the x-api-key header. See Generating API keys.

Name Type Required Description
bundleId string Yes —
Name Type Required Description
startKey string No Cursor for pagination
limit string No —
Status Body Description
200 ListBundleOptionsResponse Successfully retrieved bundle options
401 — Unauthorized
500 — Internal Server Error
Field Type Required Description
id string Yes —
accountId string Yes —
bundleId string Yes —
name string Yes —
description string No —
priceBookId string Yes —
displayOrder number Yes —
configuration BundleOptionConfiguration Yes —
Field Type Required Description
minCount number No —
maxCount number No —
defaultOptionProductId string No —
Field Type Required Description
id string Yes —
accountId string Yes —
bundleId string Yes —
optionId string Yes —
productId string Yes —
properties map of string to string Yes —
configuration BundleProductConfiguration No —
displayOrder number Yes —

Extends BundleOption.

Field Type Required Description
id string Yes —
accountId string Yes —
bundleId string Yes —
name string Yes —
description string No —
priceBookId string Yes —
displayOrder number Yes —
configuration BundleOptionConfiguration Yes —
defaultProduct BundleOptionProduct No —
Field Type Required Description
minQuantity number No —
maxQuantity number No —
readonlyQuantity boolean No —
Field Type Required Description
options BundleOptionWithDefaultProduct[] Yes —
nextKey string No —